task getBam {
	File bam
	File bam_idx
	String sample
	String pos
	String docker
	String cluster_config
	String disk_size
	
	command <<<
			/opt/conda/bin/samtools view -b ${bam} ${pos} > ${sample}.${pos}.bam
			/opt/conda/bin/samtools index ${sample}.${pos}.bam
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File sub_bam = "${sample}.${pos}.bam"
		File sub_bai = "${sample}.${pos}.bam.bai"
	}
}

